Subject: Re: bug#62333: 30.0.50; Issue with tree-sitter syntax tree during certain changes

From: Gregory Heytings <[email-masked]>
Date: Tue, 28 Mar 2023 11:39:13 +0000

>> which will work, independently of the A-B narrowing set by the user, 
>> and will reset the narrowing to A-B upon return.
>
> It will only work if [C..D] is inside [A..B].  It will not work if a 
> Lisp program wants to widen [A..B], i.e. if [C..D] is larger than 
> [A..B].
>

Hmmm... no, it will work for any values of [C..D]: (widen) is equivalent 
to (narrow-to-region 1 (1+ (buffer-size))), and in general the bounds 
given to 'narrow-to-region' are not limited by the current narrowing.